#if !defined(AFX_PANEL_H__89CC65A9_D186_11D2_BB48_00E029219C3C__INCLUDED_)
#define AFX_PANEL_H__89CC65A9_D186_11D2_BB48_00E029219C3C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// Panel.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPanel dialog

class CPanel : public CDialog
{
// Construction
public:
	CPanel(UINT nIDTemplate, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPanel)
	enum { IDD = IDD_ABOUTBOX };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	TCHAR m_szTitle[64];

	virtual BOOL Create( CWnd* pParentWnd );
	virtual void m_fn_vUpdateRegistry();
	virtual void m_fn_vEnableAllControls( BOOL bEnable );

	// Methods To control departure from and arrival to a panel
		// Test if can leave this panel	
		virtual BOOL m_fn_bCanChangePanel();
		// Called when we arrive in panel (just before displaying it).
		virtual void m_fn_vOnDisplayPanel();
		virtual void m_fn_vLevelListHasChanged( BOOL _bErrorWhileReadingGameDsc );

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPanel)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	virtual void OnOk();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PANEL_H__89CC65A9_D186_11D2_BB48_00E029219C3C__INCLUDED_)
